Subject: bug#64439: 28.2; auto-fill-mode gets turned on all over the place

From: David Howells <[email-masked]>
Date: Mon, 03 Jul 2023 18:48:41 +0100

Eli Zaretskii <[email-masked]> wrote:

> Try evaluating this:
> 
>   (defun my-watcher (_symbol new-value operation where)
>     (error "auto-fill-mode: %s %s %s" new-value operation where))
>   (add-variable-watcher 'auto-fill-function 'my-watcher)
>   (debug-on-entry 'my-watcher)
> 
> and run your sessions with this.  Whenever auto-fill-mode is turned
> on, you will get a backtrace.

I restarted emacs and added the above.  I was editing some C code, pressed
enter and got:

	Debugger entered--entering a function:
	* my-watcher(auto-fill-function nil set nil)
	  newline(nil 1)
	  funcall-interactively(newline nil 1)
	  command-execute(newline)

auto-fill-mode didn't seem to turn on, though - I'm not sure if that's to be
expected.  It's also not the first time I pressed enter in that buffer.

David